#import <appkit/appkit.h>
#import "InfoItemSpeaker.h"
#import <mach.h>
#import <sys/message.h>
#import <servers/netname.h>
extern port_t name_server_port;
extern id NXResponsibleDelegate();
@implementation  InfoItemSpeaker :Speaker
{}
-(int)giveInfoItemNamed : (char *) name
	string : (char *) string
/* */
{
return [self selectorRPC:"giveInfoItemNamed:string:"
	paramTypes:"cc",
		name,
		string];
}
-(int)giveInfoItemNamed : (char *) name
	data : (char *) data
	length : (int) len
/* */
{
return [self selectorRPC:"giveInfoItemNamed:data:length:"
	paramTypes:"cb",
		name,
		data,
		len];
}
-(int)getInfoNamed : (char *) name
	string : (char **) string
/* */
{
return [self selectorRPC:"getInfoNamed:string:"
	paramTypes:"cC",
		name,
		string];
}
-(int)getInfoNamed : (char *) name
	data : (char **) data
	length : (int *) len
/* */
{
return [self selectorRPC:"getInfoNamed:data:length:"
	paramTypes:"cB",
		name,
		data,
		len];
}
@end
