
#import "AppDelegate.h"
#import <libc.h> 
#define NO_TRAILER_SELECTED LocalString("None",NULL,no trailer selected so none will be applied to that document)

@interface DevLogAppDelegate:AppDelegate
{
	char appDirectory[MAXPATHLEN +1];
	//styles
	id styleItemView;//IB outlet
	id styleMatrix;
	float styleWidth; //width of styleMatrix viewRect
	id styleSuperMenu;//IB outlet for the style super-menu
	id styleMenu;
	id textStyleSuperMenu;//IB outlet for the text style super-menu
	id textStyleMenu;
	id fontStyleSuperMenu;//IB outlet for the font style super-menu
	id fontStyleMenu;
	id styleNameField;//IB outlet 
	id styleList;//archived
	id styleOptionsWindow;
	BOOL styleOptionsWindowResized;
	BOOL styleOptionsWindowMoved;
	id styleDeleteStyleButton;//IB outlet
	id rulerScrollView;//IB outlet
	id defaultStyle;
	//accessoryView
	id accessoryWindow;//IB outlet
	id accessoryView; // outlet box for numbered extension option and footer panel
	id numberedExtensionOptionButton;//outlet
	//indexing
	id indexingManager;
	//footers
	id footerScrollView;//IB outlet
	id footerPopUpButton;//outlet
	id footerTitleField;//outlet
	id saveDirectoryField;//outlet
	id setDirectoryButton;//outlet
	id footerSampleScrollView;//outlet
	id footerSampleText;
	id footerList;
	id currentFooter;
	id currentFooterMatrix;
	id footerSuperMenu;//IB outlet
	id insertInformationSuperMenu;//IB outlet
	id insertFooterSuperMenu;//IB outlet
	id insertInformationMenu;
	id insertFooterMenu;
	id insertingText;
	id noStyleText;
	//info modules
	id imPanel;//im stands for info module
	BOOL imPanelResized;
	BOOL imPanelMoved;
	id imList;//archived
	id imScrollView;//IB outlet
	id imMatrix;
	id imTypeField;//outlet
	id imTitleField;//outlet
	id imModuleField;//outlet
	id imDeleteButton;//outlet
	
	NXStream *serviceStream;//global for serviceInsertLine
}

-styleOptions:sender;
-windowDidBecomeMain:sender;
-styleSetFontButtonAction:sender;
-styleNewStyleButtonAction:sender;
-styleItemSelected:sender;
-styleItemEdited:sender;
-styleDeleteStyleButtonAction:sender;
-styleSelected:sender;
-textStyleSelected:sender;
-fontStyleSelected:sender;
-styleMakeKeyAndSelectDefault:sender;
-renameStyleSubmenu;
-changeFont:sender;
-textWillConvert:sender fromFont:from toFont:to;
-styleTextChanged:sender;
-pasteFont:sender;
-pasteRuler:sender;

-(BOOL) shouldNumber;
-pingPrefDefaultFont;
-defaultStyle;
-saveAsPanel;

-footerSetDirectoryButtonAction:sender;
-footerTitleFieldAction:sender;
-footerPopUpAction:sender;
-footerNewFooterAction:sender;
-footerDeleteFooterAction:sender;
-footerAddItem:item;
-footerDeleteItem:item;
-footerChangeItem:item;
-footerUpdateSampleText:sender;
-setUpFooterPopUp:popUpButton;
-insertAllFooters:doc;
-insertFooter:sender;
-footerSelected:sender;//selected from menu
-insertingDoc;
-numberedExtensionButton;
-footerNamed:(char *) name;
-(BOOL)namedFooterNeedsDirectory:(char *) name;
-(char *) saveDirectory;

-infoModules:sender;
-imNewMessage:sender;
-imLoadModule:sender;
-imDeleteModule:sender;
-imSelected:sender;
-imTitleFieldAction:sender;
-insertInformation:sender;

-tutorial:sender;

-updateServicesMenu;
-serviceOpenInReporter:pasteboard userData:(const char *) userData error: (char **) msg;
//-serviceInsertInfo:pasteboard userData:(const char *) userData error: (char **) msg;
//-serviceInsertTrailer:pasteboard userData:(const char *) userData error: (char **) msg;
//-serviceInsertLine:sender;

-windowWillResize: sender toSize:(NXSize *) frameSize;
-(int)app:sender openFile:(const char *)path type:(const char *)type;
-appDidInit:sender;
-appWillTerminate:sender;
-(BOOL)validateCommand:menuCell;
@end