
#import "ExampleCached.h"
#import "InfoItemSpeaker.h"
#import <appkit/Application.h>
#import <appkit/Listener.h>
#import <appkit/nextstd.h>
#import<strings.h>
#import<sys/param.h>

@implementation ExampleCached

static char objectFile[MAXPATHLEN +1];

+setObjectFile:(const char *) file
{
	if (file)	strcpy(objectFile,file);
	return self;
}
+(const char *) objectFile	{	return objectFile;	}

-init
{
	[super init];
	string=NULL;
	return self;
}
-free
{
	if (string)	NX_FREE(string);
	return self;
}
-(const char *) title	{	return "ExampleCached";	}
-(const char *) information
{
		return string;
}
-setInfoString:(char *) theString
//the application caches info by sending giveInfoItemNamed:string: to Reporter and Reporter calls this method
{
	int len=strlen(theString);
	
	if (string)
	{
		NX_REALLOC(string,char,len+1+strlen(string));
		strcat(string,theString);
	}
	else
	{
		NX_MALLOC(string,char,len+1);
		strcpy(string,theString);
	}
	return self;
}
@end