
#import "ExampleEFII.h"
#import "InfoItemSpeaker.h"
#import "DevLogAppDelegate.h"
#import <appkit/Application.h>
#import <appkit/Listener.h>
#import <appkit/nextstd.h>
#import<strings.h>
#import<sys/param.h>

@implementation ExampleEFII
{
}

static char objectFile[MAXPATHLEN +1];

+setObjectFile:(const char *) file
{
	if (file)	strcpy(objectFile,file);
	return self;
}
+(const char *) objectFile	{	return objectFile;	}


-(const char *) title	{	return "ExampleEFII";	}
-(const char *) information
{
	int flag,len;
	char *data;
	char *path,*dir;
	NXStream *stream;
	
	port_t thePort;
	thePort = NXPortFromName("Example",NULL);
	[[NXApp appSpeaker] setSendPort:thePort];
	flag=[[NXApp appSpeaker] getInfoNamed:"ExampleEFII" data :&data length:&len];
	if (flag==0)  //we got the data
	{
		dir=[[NXApp delegate] saveDirectory];
		if (dir)	//there is a document directory to save into
		{
			stream=NXOpenMemory((char *) data,len,NX_READONLY);//create a stream from returned data
			
			path=NX_MALLOC(path,char,strlen(dir)+17);
			strcpy(path,dir);
			strcat(path,"/ExampleEFIIFile");
			
			NXSaveToFile(stream,path);//save the data
			NXClose(stream);
			NX_FREE(path);
			return "See Also: ExampleEFIIFile";//tells the reader there are files to see
		}
		else
			return "ExampleEFII: must save document first";
	}
	return "Example not running: couldn't get the info";
}

@end